## ros-humble-rviz-rendering-tests 11.2.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rviz_rendering_tests)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic -Wnon-virtual-dtor -Woverloaded-virtual)
endif()

# Tests currently only run on OS X @ OSRF jenkins
# Enable on Linux by providing a display, enable on Windows via EnableDisplayTests=True
option(EnableDisplayTests "EnableDisplayTests")
set(DisplayTests "False" CACHE STRING "DisplayTestsVariable")

if(DEFINED ENV{DISPLAY})
  set(DISPLAYPRESENT TRUE)
endif()

if(APPLE OR DISPLAYPRESENT OR EnableDisplayTests STREQUAL "True")
  message(STATUS "Enabling tests requiring a display")
else()
  set(SKIP_DISPLAY_TESTS "SKIP_TEST")
endif()

find_package(ament_cmake REQUIRED)

if(BUILD_TESTING)
  # do find_package(rviz_ogre_vendor) first to make sure the custom OGRE is found
  find_package(rviz_ogre_vendor REQUIRED)
  find_package(Qt5 REQUIRED COMPONENTS Widgets)
  find_package(rviz_rendering REQUIRED)
  find_package(resource_retriever REQUIRED)

  # Adds shallow folders containing ogre_media such as meshes and scripts to Rviz
  # so that they can be found at runtime. Requires rviz_rendering.
  register_rviz_ogre_media_exports(
    DIRECTORIES
    "ogre_media_resources/scripts"
    "ogre_media_resources/meshes"
  )

  install(DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/ogre_media_resources/test_meshes"
    DESTINATION "share/rviz_rendering_tests"
    USE_SOURCE_PERMISSIONS)

  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_gtest REQUIRED)
  find_package(ament_cmake_gmock REQUIRED)
  find_package(ament_index_cpp REQUIRED)

  ament_add_gmock(mesh_loader_test_target
    test/mesh_loader_test.cpp
    test/ogre_testing_environment.cpp
    ${SKIP_DISPLAY_TESTS})
  if(TARGET mesh_loader_test_target)
    target_link_libraries(mesh_loader_test_target
      rviz_ogre_vendor::OgreMain
      rviz_rendering::rviz_rendering
      resource_retriever::resource_retriever
    )
  endif()

  ament_add_gtest(test_rviz_rendering_tests
    test/test_rviz_ogre_media_exports.cpp
    ${SKIP_DISPLAY_TESTS})
  if(TARGET test_rviz_rendering_tests)
    target_include_directories(test_rviz_rendering_tests
      PUBLIC src/rviz_rendering_tests)
    target_link_libraries(test_rviz_rendering_tests
      ament_index_cpp::ament_index_cpp)
  endif()
endif()

ament_package()

=== debian/changelog ===
ros-humble-rviz-rendering-tests (11.2.7-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 26 Jul 2023 22:00:00 -0000

ros-humble-rviz-rendering-tests (11.2.6-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 17 Jul 2023 22:00:00 -0000

ros-humble-rviz-rendering-tests (11.2.5-1jammy) jammy; urgency=high

  * add test to ensure binary STL files from SOLIDWORKS get imported without a warning (#917 <https://github.com/ros2/rviz/issues/917>) (#931 <https://github.com/ros2/rviz/issues/931>)
  * Contributors: mergify[bot]

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 09 Jan 2023 23:00:00 -0000

ros-humble-rviz-rendering-tests (11.2.4-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 06 Nov 2022 23:00:00 -0000

ros-humble-rviz-rendering-tests (11.2.3-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 11 Sep 2022 22:00:00 -0000

ros-humble-rviz-rendering-tests (11.2.2-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 09 May 2022 22:00:00 -0000

ros-humble-rviz-rendering-tests (11.2.1-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 25 Apr 2022 22:00:00 -0000

ros-humble-rviz-rendering-tests (11.2.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 07 Apr 2022 22:00:00 -0000

ros-humble-rviz-rendering-tests (11.1.1-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 29 Mar 2022 22:00:00 -0000

ros-humble-rviz-rendering-tests (11.1.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 23 Mar 2022 23:00:00 -0000

ros-humble-rviz-rendering-tests (11.0.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 28 Feb 2022 23:00:00 -0000

ros-humble-rviz-rendering-tests (10.0.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 15 Feb 2022 23:00:00 -0000

ros-humble-rviz-rendering-tests (9.1.1-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 24 Jan 2022 23:00:00 -0000

ros-humble-rviz-rendering-tests (9.1.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 12 Jan 2022 23:00:00 -0000

ros-humble-rviz-rendering-tests (9.0.1-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 16 Dec 2021 23:00:00 -0000

ros-humble-rviz-rendering-tests (9.0.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 17 Nov 2021 23:00:00 -0000

ros-humble-rviz-rendering-tests (8.7.0-1jammy) jammy; urgency=high

  * Removed some memory leaks in rviz_rendering and rviz_rendering_tests (#710 <https://github.com/ros2/rviz/issues/710>)
  * Contributors: Alejandro Hernández Cordero

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 10 Aug 2021 22:00:00 -0000

ros-humble-rviz-rendering-tests (8.6.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 12 May 2021 22:00:00 -0000

ros-humble-rviz-rendering-tests (8.5.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 05 Apr 2021 22:00:00 -0000

ros-humble-rviz-rendering-tests (8.4.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 17 Mar 2021 23:00:00 -0000

ros-humble-rviz-rendering-tests (8.3.1-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 24 Jan 2021 23:00:00 -0000

ros-humble-rviz-rendering-tests (8.3.0-1jammy) jammy; urgency=high

  * Add linters and use ament_lint_auto (#608 <https://github.com/ros2/rviz/issues/608>)
  * Update maintainers (#607 <https://github.com/ros2/rviz/issues/607>)
  * Use retriever.hpp (#589 <https://github.com/ros2/rviz/issues/589>)
  * Contributors: Jacob Perron, Shane Loretz

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 07 Dec 2020 23:00:00 -0000

ros-humble-rviz-rendering-tests (8.2.0-1jammy) jammy; urgency=high

  * Changed to not install test header files in rviz_rendering. (#564 <https://github.com/ros2/rviz/issues/564>)
  * Contributors: Chris Lalancette

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 22 Jun 2020 22:00:00 -0000

ros-humble-rviz-rendering-tests (8.1.1-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 02 Jun 2020 22:00:00 -0000

ros-humble-rviz-rendering-tests (8.1.0-1jammy) jammy; urgency=high

  * Added missing virtual destructors (#553 <https://github.com/ros2/rviz/issues/553>)
  * Contributors: Ivan Santiago Paunovic

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 02 Jun 2020 22:00:00 -0000

ros-humble-rviz-rendering-tests (8.0.3-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 01 Jun 2020 22:00:00 -0000

ros-humble-rviz-rendering-tests (8.0.2-1jammy) jammy; urgency=high

  * Removed automoc completely. (#545 <https://github.com/ros2/rviz/issues/545>)
  * Contributors: Chris Lalancette

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 20 May 2020 22:00:00 -0000

ros-humble-rviz-rendering-tests (8.0.1-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 06 May 2020 22:00:00 -0000

ros-humble-rviz-rendering-tests (8.0.0-1jammy) jammy; urgency=high

  * Note from wjwwood: I've chosen bump the major version this time, even though the API was not broken strictly speaking, partly because of some potentially disruptive build system changes and partially in preparation for ROS Foxy, to allow for new minor/patch versions in the previous ROS release Eloquent.
  * Made some code style changes. (#504 <https://github.com/ros2/rviz/issues/504>)
  * Fixed the build when included as a sub-project. (#475 <https://github.com/ros2/rviz/issues/475>)
  * Contributors: Dan Rose, Dirk Thomas

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 30 Apr 2020 22:00:00 -0000

ros-humble-rviz-rendering-tests (7.0.3-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 12 Nov 2019 23:00:00 -0000



=== debian/control ===
Source: ros-humble-rviz-rendering-tests
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-humble-ament-cmake, ros-humble-ament-cmake-cppcheck <!nocheck>, ros-humble-ament-cmake-cpplint <!nocheck>, ros-humble-ament-cmake-gmock <!nocheck>, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-cmake-lint-cmake <!nocheck>, ros-humble-ament-cmake-uncrustify <!nocheck>, ros-humble-ament-cmake-xmllint <!nocheck>, ros-humble-ament-index-cpp <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-resource-retriever, ros-humble-rviz-rendering, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-rviz-rendering-tests
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-resource-retriever, ros-humble-rviz-rendering, ros-humble-ros-workspace
Description: Example plugin for RViz - documents and tests RViz plugin development

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rviz-rendering-tests//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-rviz-rendering-tests//opt/ros/humble/opt/rviz_assimp_vendor/lib/:$(CURDIR)/debian/ros-humble-rviz-rendering-tests//opt/ros/humble/opt/rviz_ogre_vendor/lib/:$(CURDIR)/debian/ros-humble-rviz-rendering-tests//opt/ros/humble/opt/rviz_yaml_cpp_vendor/lib/


override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-rviz-rendering-tests 11.2.12

=== debian/changelog ===
ros-humble-rviz-rendering-tests (11.2.12-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 25 Mar 2024 16:00:00 -0000

ros-humble-rviz-rendering-tests (11.2.11-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 15 Feb 2024 16:00:00 -0000

ros-humble-rviz-rendering-tests (11.2.10-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-rviz-rendering-tests (11.2.9-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 12 Nov 2023 16:00:00 -0000

ros-humble-rviz-rendering-tests (11.2.8-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 18 Sep 2023 16:00:00 -0000

ros-humble-rviz-rendering-tests (11.2.7-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 26 Jul 2023 16:00:00 -0000

ros-humble-rviz-rendering-tests (11.2.6-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 17 Jul 2023 16:00:00 -0000

ros-humble-rviz-rendering-tests (11.2.5-1bookworm) bookworm; urgency=high

  * add test to ensure binary STL files from SOLIDWORKS get imported without a warning (#917 <https://github.com/ros2/rviz/issues/917>) (#931 <https://github.com/ros2/rviz/issues/931>)
  * Contributors: mergify[bot]

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 09 Jan 2023 16:00:00 -0000

ros-humble-rviz-rendering-tests (11.2.4-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 06 Nov 2022 16:00:00 -0000

ros-humble-rviz-rendering-tests (11.2.3-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 11 Sep 2022 16:00:00 -0000

ros-humble-rviz-rendering-tests (11.2.2-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 09 May 2022 16:00:00 -0000

ros-humble-rviz-rendering-tests (11.2.1-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 25 Apr 2022 16:00:00 -0000

ros-humble-rviz-rendering-tests (11.2.0-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 07 Apr 2022 16:00:00 -0000

ros-humble-rviz-rendering-tests (11.1.1-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 29 Mar 2022 16:00:00 -0000

ros-humble-rviz-rendering-tests (11.1.0-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 23 Mar 2022 16:00:00 -0000

ros-humble-rviz-rendering-tests (11.0.0-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-rviz-rendering-tests (10.0.0-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 15 Feb 2022 16:00:00 -0000

ros-humble-rviz-rendering-tests (9.1.1-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 24 Jan 2022 16:00:00 -0000

ros-humble-rviz-rendering-tests (9.1.0-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 12 Jan 2022 16:00:00 -0000

ros-humble-rviz-rendering-tests (9.0.1-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 16 Dec 2021 16:00:00 -0000

ros-humble-rviz-rendering-tests (9.0.0-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 17 Nov 2021 16:00:00 -0000

ros-humble-rviz-rendering-tests (8.7.0-1bookworm) bookworm; urgency=high

  * Removed some memory leaks in rviz_rendering and rviz_rendering_tests (#710 <https://github.com/ros2/rviz/issues/710>)
  * Contributors: Alejandro Hernández Cordero

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 10 Aug 2021 16:00:00 -0000

ros-humble-rviz-rendering-tests (8.6.0-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 12 May 2021 16:00:00 -0000

ros-humble-rviz-rendering-tests (8.5.0-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-humble-rviz-rendering-tests (8.4.0-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 17 Mar 2021 16:00:00 -0000

ros-humble-rviz-rendering-tests (8.3.1-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-humble-rviz-rendering-tests (8.3.0-1bookworm) bookworm; urgency=high

  * Add linters and use ament_lint_auto (#608 <https://github.com/ros2/rviz/issues/608>)
  * Update maintainers (#607 <https://github.com/ros2/rviz/issues/607>)
  * Use retriever.hpp (#589 <https://github.com/ros2/rviz/issues/589>)
  * Contributors: Jacob Perron, Shane Loretz

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 07 Dec 2020 16:00:00 -0000

ros-humble-rviz-rendering-tests (8.2.0-1bookworm) bookworm; urgency=high

  * Changed to not install test header files in rviz_rendering. (#564 <https://github.com/ros2/rviz/issues/564>)
  * Contributors: Chris Lalancette

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 22 Jun 2020 16:00:00 -0000

ros-humble-rviz-rendering-tests (8.1.1-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 02 Jun 2020 16:00:00 -0000

ros-humble-rviz-rendering-tests (8.1.0-1bookworm) bookworm; urgency=high

  * Added missing virtual destructors (#553 <https://github.com/ros2/rviz/issues/553>)
  * Contributors: Ivan Santiago Paunovic

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 02 Jun 2020 16:00:00 -0000

ros-humble-rviz-rendering-tests (8.0.3-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 01 Jun 2020 16:00:00 -0000

ros-humble-rviz-rendering-tests (8.0.2-1bookworm) bookworm; urgency=high

  * Removed automoc completely. (#545 <https://github.com/ros2/rviz/issues/545>)
  * Contributors: Chris Lalancette

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 20 May 2020 16:00:00 -0000



=== debian/rules ===
--- 
+++ 
@@ -59,7 +59,6 @@
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
 	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rviz-rendering-tests//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-rviz-rendering-tests//opt/ros/humble/opt/rviz_assimp_vendor/lib/:$(CURDIR)/debian/ros-humble-rviz-rendering-tests//opt/ros/humble/opt/rviz_ogre_vendor/lib/:$(CURDIR)/debian/ros-humble-rviz-rendering-tests//opt/ros/humble/opt/rviz_yaml_cpp_vendor/lib/
 
-
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
 	# in the install tree and source it.  It will set things like

## ros-humble-rviz-rendering-tests 11.2.13

=== debian/changelog ===
ros-humble-rviz-rendering-tests (11.2.13-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 25 Jul 2024 16:00:00 -0000

ros-humble-rviz-rendering-tests (11.2.12-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 25 Mar 2024 16:00:00 -0000

ros-humble-rviz-rendering-tests (11.2.11-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 15 Feb 2024 16:00:00 -0000

ros-humble-rviz-rendering-tests (11.2.10-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-rviz-rendering-tests (11.2.9-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 12 Nov 2023 16:00:00 -0000

ros-humble-rviz-rendering-tests (11.2.8-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 18 Sep 2023 16:00:00 -0000

ros-humble-rviz-rendering-tests (11.2.7-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 26 Jul 2023 16:00:00 -0000

ros-humble-rviz-rendering-tests (11.2.6-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 17 Jul 2023 16:00:00 -0000

ros-humble-rviz-rendering-tests (11.2.5-2bookworm) bookworm; urgency=high

  * add test to ensure binary STL files from SOLIDWORKS get imported without a warning (#917 <https://github.com/ros2/rviz/issues/917>) (#931 <https://github.com/ros2/rviz/issues/931>)
  * Contributors: mergify[bot]

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 09 Jan 2023 16:00:00 -0000

ros-humble-rviz-rendering-tests (11.2.4-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 06 Nov 2022 16:00:00 -0000

ros-humble-rviz-rendering-tests (11.2.3-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 11 Sep 2022 16:00:00 -0000

ros-humble-rviz-rendering-tests (11.2.2-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 09 May 2022 16:00:00 -0000

ros-humble-rviz-rendering-tests (11.2.1-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 25 Apr 2022 16:00:00 -0000

ros-humble-rviz-rendering-tests (11.2.0-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 07 Apr 2022 16:00:00 -0000

ros-humble-rviz-rendering-tests (11.1.1-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 29 Mar 2022 16:00:00 -0000

ros-humble-rviz-rendering-tests (11.1.0-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 23 Mar 2022 16:00:00 -0000

ros-humble-rviz-rendering-tests (11.0.0-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-rviz-rendering-tests (10.0.0-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 15 Feb 2022 16:00:00 -0000

ros-humble-rviz-rendering-tests (9.1.1-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 24 Jan 2022 16:00:00 -0000

ros-humble-rviz-rendering-tests (9.1.0-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 12 Jan 2022 16:00:00 -0000

ros-humble-rviz-rendering-tests (9.0.1-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 16 Dec 2021 16:00:00 -0000

ros-humble-rviz-rendering-tests (9.0.0-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 17 Nov 2021 16:00:00 -0000

ros-humble-rviz-rendering-tests (8.7.0-2bookworm) bookworm; urgency=high

  * Removed some memory leaks in rviz_rendering and rviz_rendering_tests (#710 <https://github.com/ros2/rviz/issues/710>)
  * Contributors: Alejandro Hernández Cordero

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 10 Aug 2021 16:00:00 -0000

ros-humble-rviz-rendering-tests (8.6.0-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 12 May 2021 16:00:00 -0000

ros-humble-rviz-rendering-tests (8.5.0-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-humble-rviz-rendering-tests (8.4.0-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 17 Mar 2021 16:00:00 -0000

ros-humble-rviz-rendering-tests (8.3.1-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-humble-rviz-rendering-tests (8.3.0-2bookworm) bookworm; urgency=high

  * Add linters and use ament_lint_auto (#608 <https://github.com/ros2/rviz/issues/608>)
  * Update maintainers (#607 <https://github.com/ros2/rviz/issues/607>)
  * Use retriever.hpp (#589 <https://github.com/ros2/rviz/issues/589>)
  * Contributors: Jacob Perron, Shane Loretz

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 07 Dec 2020 16:00:00 -0000

ros-humble-rviz-rendering-tests (8.2.0-2bookworm) bookworm; urgency=high

  * Changed to not install test header files in rviz_rendering. (#564 <https://github.com/ros2/rviz/issues/564>)
  * Contributors: Chris Lalancette

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 22 Jun 2020 16:00:00 -0000

ros-humble-rviz-rendering-tests (8.1.1-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 02 Jun 2020 16:00:00 -0000

ros-humble-rviz-rendering-tests (8.1.0-2bookworm) bookworm; urgency=high

  * Added missing virtual destructors (#553 <https://github.com/ros2/rviz/issues/553>)
  * Contributors: Ivan Santiago Paunovic

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 02 Jun 2020 16:00:00 -0000

ros-humble-rviz-rendering-tests (8.0.3-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 01 Jun 2020 16:00:00 -0000

ros-humble-rviz-rendering-tests (8.0.2-2bookworm) bookworm; urgency=high

  * Removed automoc completely. (#545 <https://github.com/ros2/rviz/issues/545>)
